"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CSSContext_1 = require("./CSSContext");
/**
 * Get CSS-Map from head tag.
 * Can only use in browser.
 */
function getCSSMap() {
    var cssMap = new Map();
    var linkElements = document.querySelectorAll('link[data-react-css-context]');
    var nodeList = Array.prototype.slice.call(linkElements, 0);
    nodeList.forEach(function (link) {
        if (link && link.href) {
            cssMap.set(link.href, CSSContext_1.CSSFetchState.Success);
        }
    });
    return cssMap;
}
exports.getCSSMap = getCSSMap;
//# sourceMappingURL=getCSSMap.js.map