"use strict";
var __values = (this && this.__values) || function (o) {
    var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
    if (m) return m.call(o);
    return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
/**
 * CSS-Map to HTMLLinkElement string.
 * @param {CSSMap} cssMap
 * @return {string}
 */
function toTagString(cssMap) {
    var e_1, _a;
    var tagString = '';
    try {
        for (var cssMap_1 = __values(cssMap), cssMap_1_1 = cssMap_1.next(); !cssMap_1_1.done; cssMap_1_1 = cssMap_1.next()) {
            var _b = __read(cssMap_1_1.value, 1), href = _b[0];
            if (href) {
                tagString += "<link href=\"" + href + "\" rel=\"stylesheet\" data-react-css-context=\"true\"/>";
            }
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (cssMap_1_1 && !cssMap_1_1.done && (_a = cssMap_1.return)) _a.call(cssMap_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
    return tagString;
}
exports.toTagString = toTagString;
/**
 * CSS-Map to ReactElement.
 * @param {CSSMap} cssMap
 * @return {any}
 */
function toTagComponent(cssMap) {
    var e_2, _a;
    var hrefs = [];
    try {
        for (var cssMap_2 = __values(cssMap), cssMap_2_1 = cssMap_2.next(); !cssMap_2_1.done; cssMap_2_1 = cssMap_2.next()) {
            var _b = __read(cssMap_2_1.value, 1), href = _b[0];
            if (href) {
                hrefs.push(href);
            }
        }
    }
    catch (e_2_1) { e_2 = { error: e_2_1 }; }
    finally {
        try {
            if (cssMap_2_1 && !cssMap_2_1.done && (_a = cssMap_2.return)) _a.call(cssMap_2);
        }
        finally { if (e_2) throw e_2.error; }
    }
    return (React.createElement(React.Fragment, null, hrefs.map(function (href) { return (React.createElement("link", { key: href, href: href, rel: "stylesheet", "data-react-css-context": true })); })));
}
exports.toTagComponent = toTagComponent;
//# sourceMappingURL=toTag.js.map