"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * append css’s link element to head.
 * @param {string} href
 * @param {() => void} onLoad
 * @param {() => void} onError
 */
function appendCSS(href, onLoad, onError) {
    var linkElement = document.createElement('link');
    linkElement.href = href;
    linkElement.rel = 'stylesheet';
    linkElement.dataset.reactCssContext = 'true';
    linkElement.onload = function () {
        onLoad();
    };
    linkElement.onerror = function () {
        onError();
    };
    document.head.appendChild(linkElement);
}
exports.appendCSS = appendCSS;
//# sourceMappingURL=appendCSS.js.map